#ifndef  __MBBIOSI_H
#define  __MBBIOSI_H

#include <dos.h>

// Transmit buffering, hardware handshaking, and high speed option
// bit positions

#define TRB  0x01
#define HWHS 0x04
#define HSO  0x20

#define CTS 0x10
#define DSR 0x20
#define RDR 0x01

struct comtype {
   char port;
   unsigned long speed;
   char parity;
   char databits;
   char stopbits;
};

// external protoytpes

char comparams( struct comtype* com );
char comwritech( int port, char c );
char comreadch( int port, char* c );
char comstatus( int port );
int  ckMBBIOS( int port );
void dropRTS( int port );
void raiseRTS( int port );
void sendbrk( int port );
char optMBBIOS( int port, char opt );
int  comwrite( int port, char buffer[], int count );
int  comread( int port, char buffer[], int count );
int  dataready( int port, char* c );

#endif   __MBBIOSI_H
